Links
Create and delete dependency links (predecessor/successor) between tasks.
|
Endpoints
| POST | /api/v1/project/projects/{id}/links | Create a link |
| DELETE | /api/v1/project/projects/{id}/links/{lid} | Delete a link |
POST
/api/v1/project/projects/{id}/linksCreate a link
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
Code Examples
curl -X POST "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/links" \
-H "Cookie: better-auth.session_token=<token>"DELETE
/api/v1/project/projects/{id}/links/{lid}Delete a link
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
lid | string | Optional | Link ID |
Code Examples
curl -X DELETE "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/links/link_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"